3 Replies Latest reply: Aug 8, 2013 2:24 PM by baltwo
Nvelez Level 1 (0 points)

Im trying to install a witeless hp printer to my mac os x. But it keeps saying its not compatible. It has to be max os x 10.6 or 10.7, I thought I was suppose to get free updates or automatic updates? Please help Im so lost! 


Mac OS X (10.5)